use strict;
use warnings;
use LWP::UserAgent;
use URI;
use JSON qw(decode_json);
use Encode qw(encode_utf8);
use utf8;

my $query  = 'おはよう';
my $uri    = URI->new('http://search.twitter.com/search.json');
my $params = {
    q           => $query,
    result_type => 'recent',
};

$uri->query_form(%$params);
my $ua   = LWP::UserAgent->new;
my $res  = $ua->get($uri);
die "Error: ". $res->status_line if $res->is_error;

my $json = $res->content;
my $ref  = decode_json($json);
for my $tweet ( @{ $ref->{results} } ) {
    print encode_utf8("\@$tweet->{from_user}: $tweet->{text}\n");
}
